.title, .subtitle {
  text-align: center;
}

.title {
  font-size: 2rem;
  font-weight: bold;
}

.subtitle, .player-page-name {
  font-size: 1.5rem;
  font-weight: bold;
}

.page-description {
  width: 60%;
  text-align: center;
}

.player-page-name {
  text-align: center;
  margin-bottom: 1rem;
}

.acronym {
  text-align: center;
  opacity: .8;
}

.acronym .big {
  font-size: 1.8rem;
}

.acronym .small {
  font-size: 1rem;
}

.header {
  font-size: 1.5rem;
  font-weight: bold;
  margin-top: 2rem;
  margin-bottom: 1rem;
}

.tournament-item {
  margin: 1rem 0;
}

.notice {
  height: 2rem;
  text-align: center;
  margin-top: 1rem;
}

.error {
  color: red;
}

.info {
  color: green;
}

.hint {
  opacity: 0.5;
  font-size: 1rem;
}

.home {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1rem;
}

.tournament-list {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  list-style-type: none;
}

.tournament-listing {
  border: 1px black solid;
  padding: 0.5rem;
  cursor: pointer;
  color: #666;
}

.tournament-title {
  font-size: 1.2rem;
  color: #333;
  margin-bottom: 0.3rem;
}

.separator {
  border-bottom: 2px solid #ccc;
  width: 50%;
  margin: 1rem auto;
}

.tournament-info {
  text-align: center;
  font-size: 1.3rem;
  margin-bottom: 2rem;
}

.tournament-listing div {
  text-align: center;
}

.tournament-nav-container {
  margin-bottom: 1rem;
}

.tournament-nav {
  text-align: center;
  font-size: 1.3rem;
  margin-bottom: 0.5rem;
}

.page-link {
  color: blue;
  cursor: pointer;
  padding-right: 0.5rem;
}

.tournament-nav .page-link:not(:last-child)::after {
  content: "|";
  color: black;
  padding-left: 0.5rem;
  text-decoration: none;
  display: inline-block;
}

.page-link.current {
  text-decoration: underline;
}

.chooser {
  display: flex;
  gap: 1rem;
}

.chooser label, .chooser span {
  font-size: 1.3rem;
}

.player-name {
  margin-left: 1rem;
}

.player-event {
  color: #666;
  cursor: pointer;
  font-size: 1.2rem;
}

.player-list-table .player-name {
  color: #666;
  cursor: pointer;
}

.player-list-table td {
  padding: .5rem 2rem;
}

.tournament-results {
  display: flex;
  justify-content: center;
}

.page-header {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 0.5rem;
  margin-bottom: 1.5rem;
}

.results-table th, .results-table td {
  padding: .3rem 1.5rem;
  text-align: center;
}

.results-table th:nth-child(-n+2), .results-table td:nth-child(-n+2) {
  text-align: left;
}

/* Admin */

.admin-players, .admin-scores {
  display: flex;
  flex-direction: column;
  gap: 3rem;
}

.admin-form-container {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  justify-content: center;
  align-items: center;
}

.admin-form-row {
  display: flex;
  gap: 1rem;
}

.admin-setup-tournament-buttons {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
}

.admin-setup-description {
  margin: 1rem 0;
}

.admin-setup-section {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  width: 100%;
  margin: 1rem 0;
}

.admin-setup-label {
  flex: 0 0 7rem;
}

.admin-setup-input {
  flex: 0 0 20rem;
}

.admin-setup-input input.full, .admin-setup-input textarea.full {
  width: 100%;
}

.admin-setup-note {
  flex: 1;
  margin-left: 2rem;
}

.admin-setup-header {
  font-weight: bold;
}

.admin-setup-checkbox {
  flex: 0 0 1rem;
}

.admin-setup-label {
  flex: 0 0 7rem;
}

.admin-setup-num {
  flex: 0 0 4rem;
}

.admin-setup-num input {
  width: 100%;
}

.admin-setup-tournament-button {
  display: flex;
  justify-content: center;
  align-items: center;
}

.admin-form-item {
  display: flex;
  gap: 0.3rem;
}

.admin-teams-event {
  font-size: 1.5rem;
  margin-bottom: 1.5rem;
}

.admin-rank-scoring {
  margin-left: 3rem;
}
